apiVersion: apps/v1
kind: Deployment
metadata:
  name: query-handler-deployment
  labels:
    app: query-handler 
spec:
  replicas: 3 
  selector:
    matchLabels:
      app: query-handler
  template:
    metadata:
      labels:
        app: query-handler 
    spec:
      containers:
      - name: query-handler
        image: datastropheregistry.azurecr.io/query-handler-service:latest
        ports:
        - containerPort: 3000 
        env:
        - name: RABBIT_HOST
          value: rabbitmq
        - name: RABBIT_PORT
          value: "5672"
        - name: RABBIT_USER
          value: I9YPuqNYvN_o4597-LJ6i0sWZTDTV5kk
        - name: RABBIT_PASSWORD
          value: zBA4m-IzK6ejLtCdr2gxB6kHmURaUvy4
        - name: REDIS_ADDRESS
          value: redis.redis.svc.cluster.local:6379
      imagePullSecrets:
      - name: docker-regcred